#!/bin/sh
# Startdate: 2023-12-11-2 18:46
# Purpose: fix gray-on-gray for icons that I use
# Reference:
#    1. https://bgstack15.ddns.net/blog/posts/2023/10/26/fixed-the-offending-icons-for-audio-volume-notifications/
# Improve:
# Documentation:
#    powerkit has a different problem. see fix-powerkit-icons.sh

# icons in notifications for changing audio volume
sudo sed -i.bup -r -e "s/fill:#ececec;/fill:#000000;/g;" $( readlink -f $( find /usr/share/icons \( -iname 'audio-volume-medium.*' -o -iname 'audio-volume-low.*' -o -iname 'audio-volume-high.*' -o -iname 'audio-volume-*mute*' \) ! -iname '*block*' -ipath '*Numix/*' ) | sort -u )

# tray icons for krb5-auth-dialog
sudo sed -i.bup -r -e "s/fill:#ececec;/fill:#000000;/g;" $( find /usr/share/icons/Numix -iname 'krb-no-valid-ticket*' -o -iname 'gtk-dialog-authentication-panel.*' | sort -u )

# tray icons for connman-gtk network manager
sudo sed -i.bup -r -e "s/fill:#ececec;/fill:#000000;/g;" /usr/share/icons/Numix/16/status/network-offline.svg /usr/share/icons/Numix/16/status/network-transmit-receive.svg
